Bug 497383 - (TBf8f4a16f) TBf8f4a16f NCDevice.py:177:getDialog:TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType
TBf8f4a16f NCDevice.py:177:getDialog:TypeError: exceptions must be classes, i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
11
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 12:24 EDT by Enrico
Modified: 2010-06-28 08:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:10:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
automatic report from the application (1.07 KB, application/octet-stream)
2009-04-23 12:28 EDT, Enrico
no flags Details

  None (edit)
Description Enrico 2009-04-23 12:24:10 EDT
Description of problem:

When I click on the button EDIT for the wireless card the program crashes giving this message:

Component: system-config-network
Version: 1.5.95
Summary: TBf8f4a16f NCDevice.py:177:getDialog:TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 814, in on_editButton_clicked
    self.editButtonFunc[self.active_page](button)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 922, in on_deviceEditButton_clicked
    button = self.editDevice(device)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 950, in editDevice
    dialog = device.getDialog()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 177, in getDialog
    raise NotImplemented
TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

Local variables in innermost frame:
self: Device.AllowUser=False
Device.BootProto=dhcp
Device.Device=wlan0
Device.DeviceId=wlan0
Device.IPv6Init=False
Device.OnBoot=False
Device.Type=Wireless

My wireless card is an Athlon and I use the drivers of the RaLink RT2500



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Enrico 2009-04-23 12:28:47 EDT
Created attachment 340962 [details]
automatic report from the application
Comment 2 Enrico 2009-04-23 12:38:11 EDT
(In reply to comment #0)
just ot point out that the wireless card is a Ralink and not an Athlon ... sorry :-)
Comment 3 Bug Zapper 2009-06-09 10:28:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jim Haynes 2009-06-14 00:38:11 EDT
I had system-config-network crash when trying to add a dialup connection.

Component: system-config-network
Version: 1.5.97
Summary: TBf1b4415d NCPluginDevModem.py:37:getModemList:ImportError: No module named kudzu

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/NCPluginModemInterface.py", line 136, in on_Modem_prepare
    dlist = getModemList()
  File "/usr/share/system-config-network/netconfpkg/plugins/NCPluginDevModem.py", line 37, in getModemList
    import kudzu
ImportError: No module named kudzu

Local variables in innermost frame:

BTW, I tried to file this as a new bug report, but when I click on "New"
it just gives me the same page again "Please select classification"
Comment 5 Bug Zapper 2010-04-27 09:53:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:10:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.